Last Comment Bug 650476 - Build --with-libxul-sdk is broken
: Build --with-libxul-sdk is broken
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: ojab
:
Mentors:
Depends on:
Blocks: 643817
  Show dependency treegraph
 
Reported: 2011-04-16 02:20 PDT by ojab
Modified: 2011-04-20 01:40 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix pyxpt path (793 bytes, patch)
2011-04-16 02:31 PDT, ojab
mh+mozilla: review+
Details | Diff | Review
fix pyxpt path (857 bytes, patch)
2011-04-18 20:51 PDT, ojab
mh+mozilla: review-
Details | Diff | Review
fix pyxpt path (795 bytes, patch)
2011-04-19 02:55 PDT, ojab
mh+mozilla: review+
Details | Diff | Review

Description ojab 2011-04-16 02:20:44 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:6.0a1) Gecko/20110415 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (X11; Linux x86_64; rv:6.0a1) Gecko/20110415 Firefox/6.0a1

Firefox build using --with-libxul-sdk=../xulrunner/dist ends up with error:

make[7]: Вход в каталог `/home/ojab/opt/browser/services/crypto'
/usr/bin/python2.7 /sources/mozilla-central/config/nsinstall.py /sources/mozilla-central/services/crypto/modules/* ../../dist/bin/modules/services-crypto
IWeaveCrypto.idl
/home/ojab/opt/xulrunner/dist/bin/xpidl -m typelib -w -I/sources/mozilla-central/services/crypto -I../../dist/idl -I/home/ojab/opt/xulrunner/dist/idl -e _xpidlgen/IWeaveCrypto.xpt -d .deps/IWeaveCrypto.pp /sources/mozilla-central/services/crypto/IWeaveCrypto.idl
/usr/bin/python2.7 ../../dist/sdk/bin/xpt.py link _xpidlgen/services-crypto.xpt _xpidlgen/IWeaveCrypto.xpt
/usr/bin/python2.7: can't open file '../../dist/sdk/bin/xpt.py': [Errno 2] No such file or directory
make[7]: *** [_xpidlgen/services-crypto.xpt] Ошибка 2

because xpt.py exists only in xulrunner objdir.

With hack
-XPIDL_LINK = $(PYTHON) $(SDK_BIN_DIR)/xpt.py link
+XPIDL_LINK = $(PYTHON) $(LIBXUL_DIST)/sdk/bin/xpt.py link
firefox builds fine (but I don't think that it is proper fix).


Reproducible: Always
Comment 1 Mike Hommey [:glandium] 2011-04-16 02:27:54 PDT
(In reply to comment #0)
> With hack
> -XPIDL_LINK = $(PYTHON) $(SDK_BIN_DIR)/xpt.py link
> +XPIDL_LINK = $(PYTHON) $(LIBXUL_DIST)/sdk/bin/xpt.py link
> firefox builds fine (but I don't think that it is proper fix).

This is actually a proper fix.
Comment 2 ojab 2011-04-16 02:31:05 PDT
Created attachment 526474 [details] [diff] [review]
fix pyxpt path

$(SDK_BIN_DIR)/xpt.py -> $(LIBXUL_DIST)/sdk/bin/xpt.py
Comment 3 Mounir Lamouri (:mounir) 2011-04-18 16:36:20 PDT
Pushed in cedar:
http://hg.mozilla.org/projects/cedar/rev/b0217a5e665a

BTW, ojab, if you want to have your real name in the commit logs, you should use it on bugzilla or at least put it in your patches as the author. It goes without saying that you don't *have* to do that ;)
Comment 4 Mounir Lamouri (:mounir) 2011-04-18 16:36:39 PDT
And by 'real', I mean "full".
Comment 5 Mounir Lamouri (:mounir) 2011-04-18 17:06:51 PDT
I have to backout this patch because of a build failure. See this log:
http://tinderbox.mozilla.org/showlog.cgi?log=Cedar/1303169782.1303170069.29887.gz#err0
Comment 6 ojab 2011-04-18 20:51:23 PDT
Created attachment 526916 [details] [diff] [review]
fix pyxpt path

'ifdef LIBXUL_SDK', maybe?
Comment 7 Mike Hommey [:glandium] 2011-04-18 23:36:24 PDT
Comment on attachment 526916 [details] [diff] [review]
fix pyxpt path

Ah I misread the previous patch. It was good as I read it, that is, with LIBXUL_DIST instead of LIBXUL_SDK. LIBXUL_DIST is always defined, and is either $LIBXUL_SDK or $MOZ_BUILD_ROOT/dist.
Comment 8 ojab 2011-04-19 02:55:44 PDT
Created attachment 526947 [details] [diff] [review]
fix pyxpt path

Now with LIBXUL_DIST.
Comment 9 Mounir Lamouri (:mounir) 2011-04-19 03:02:34 PDT
Re-pushed in cedar:
http://hg.mozilla.org/projects/cedar/rev/150dcb7430d6
Comment 10 Mounir Lamouri (:mounir) 2011-04-20 01:39:48 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/150dcb7430d6

Thank you for this patch :)

Note You need to log in before you can comment on or make changes to this bug.